<?php
// Proteção Login
require_once("inc/protecao-admin.php");

// Proteção contra acesso direto
if(!preg_match("/".str_replace("http://","",str_replace("www.","",$_SERVER['HTTP_HOST']))."/i",$_SERVER['HTTP_REFERER'])) {
die("<span class='texto_status_erro'>Atenção! Acesso não autorizado, favor entrar em contato com nosso atendimento para maiores informações!</span>");
}

if(empty($_POST["titulo"]) or empty($_POST["mensagem"])) {
$_SESSION["status_acao"] = "<div class='alert alert-warning text-center' role='alert'>".lang_info_campos_vazios."</div>";
header("Location: /admin/admin-cadastrar-aviso");
exit();
}

mysqli_query($conexao,"INSERT INTO avisos (codigo_servidor,area,titulo,descricao,data,mensagem,status) VALUES ('".$_POST["codigo_servidor"]."','".$_POST["area"]."','".$_POST["titulo"]."','".$_POST["descricao"]."',NOW(),'".nl2br($_POST["mensagem"])."','".$_POST["status"]."')") or die("Erro ao processar query.<br>Mensagem do servidor: ".mysqli_error($conexao));
$codigo_aviso = mysqli_insert_id($conexao);

// Cria o sessão do status das ações executadas e redireciona.
$_SESSION["status_acao"] = "<div class='alert alert-success text-center' role='alert'>".lang_pagina_avisos_cadastrar_resultado_ok."</div>";

header("Location: /admin/admin-avisos");
?>